<?php

namespace AppBundle\Repository;

/**
 * FilmRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class FilmRepository extends \Doctrine\ORM\EntityRepository
{
    public function findFilm($id) {
        $qb = $this->createQueryBuilder('f');
        $query = $qb
            ->select('f.titre', 'f.annee')
            ->where('f.id = :id')
            ->setParameter('id', $id)
            ->getQuery();
        return $query->getSingleResult();
    }

    public function findFilmWithGenre(array $genreNames) {
        $qb = $this->createQueryBuilder('f');
        $qb
            ->innerJoin('f.genres', 'g')
            ->addSelect('g');

        $qb->where($qb->expr()->in('g.name', $genreNames));

        return $qb
            ->getQuery()
            ->getResult();
    }

    public function findTousDesc() {
        $qb = $this->createQueryBuilder('f');
        $qb
            ->select('f')
            ->orderBy('f.dateSubmited', 'DESC');

        return $qb
            ->getQuery()
            ->getResult();
    }
}
